<?php
if(intval($_POST['id']) == 0)
	die("Errore generale. Contattare l'amministratore del programma");

include("../sessionreserved.php");
include("../../db.php");
include("../functions.php");
$result = mysql_query("SELECT * FROM visite LEFT JOIN visite_imp ON visite.idvisita = visite_imp.idvisita WHERE visite.idvisita = ".intval($_POST['id']));			

//mando mail all'associazione di appartenenza
if(mysql_num_rows($result) > 0){
	$associazione = mysql_result($result,0,'imp_assoc');
	if($associazione == 'COL') //collegio
		$mail = 'info@ancebiella.it';
	elseif($associazione == 'CNA') //cna
		$mail = 'leandrian@biella.cna.it';
	elseif($associazione == 'CON') //confartigianato
		$mail = 'ambiente@biella.confartigianato.it';
	
	$codice = mysql_result($result,0,'codice');
	
	if($mail){
		
$body = 'Spettabile Ditta
'.mysql_result($result,0,'imp_anagrafica').'
'.mysql_result($result,0,'imp_indirizzo').', '.mysql_result($result,0,'imp_comune').' '.mysql_result($result,0,'imp_prov').'

La presente, a seguito di accordi telefonici, per confermare la 
visita del tecnico C.P.T., che si svolgerà presso il Vostro 
cantiere di '.mysql_result($result,0,'cant_comune').' - '.mysql_result($result,0,'cant_strada').' '.mysql_result($result,0,'id_numero').'.

Il giorno '.$_POST['datavisita'].' alle ore '.$_POST['oravisita'].' 

Distinti saluti

C.P.T.
'.$_SESSION['user']['anagrafica'].'

Messaggio generato automaticamente. Si prega di non rispondere a questa e-mail';
		
		####################################### DEBUG ####################################
		//$mail = 'mcsspaul@gmail.com';
		
		if(!mail($mail,'Visita RLST',$body,'From: C.P.T. <do-not-reply@rlst.progettoserver.com>')){
			die('Errore durante l\'invio dell\'e-mail. Riprovare');
		}
	}
	
	mysql_query("DELETE FROM visite_prox WHERE SUBSTR(codice,0,9) = '".substr($codice,0,9)."'");
	
	//memorizzo in tabella la prox visita
	$result = mysql_query("
	INSERT INTO visite_prox (idvisita,codice,userid,data,ora,mailerror) 
	VALUES (".intval($_POST['id']).",'".$codice."',".$_SESSION['user']['id'].",'".data($_POST['datavisita'])."','".ora($_POST['oravisita'])."',".intval($mailerror).")
	ON DUPLICATE KEY UPDATE codice = '".$codice."', userid = ".$_SESSION['user']['id'].", data = '".data($_POST['datavisita'])."', ora = '".ora($_POST['oravisita'])."', mailerror = ".intval($mailerror));
	
	die('Operazione eseguita');
	
}
?>